-- query optimization - task 3
-- noqa: disable=CP03
create procedure CancelOrder (in TargetOrderID int)
begin
delete from Orders
where OrderID = TargetOrderID;

select concat("Order ", TargetOrderID, if(row_count() = 1, " is cancelled", " doesn't exist")) as Confirmation;
end
